summaryrefslogtreecommitdiffstats
path: root/desktop/wmrandwalk
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/wmrandwalk')
-rw-r--r--desktop/wmrandwalk/README1
-rw-r--r--desktop/wmrandwalk/slack-desc19
-rw-r--r--desktop/wmrandwalk/wmrandwalk.170
-rw-r--r--desktop/wmrandwalk/wmrandwalk.SlackBuild90
-rw-r--r--desktop/wmrandwalk/wmrandwalk.info10
-rw-r--r--desktop/wmrandwalk/wmrandwalk.rst58
6 files changed, 248 insertions, 0 deletions
diff --git a/desktop/wmrandwalk/README b/desktop/wmrandwalk/README
new file mode 100644
index 0000000000..2b169ea533
--- /dev/null
+++ b/desktop/wmrandwalk/README
@@ -0,0 +1 @@
+wmrandwalk (Window Maker dockapp displaying a random walk)
diff --git a/desktop/wmrandwalk/slack-desc b/desktop/wmrandwalk/slack-desc
new file mode 100644
index 0000000000..1ce02df67d
--- /dev/null
+++ b/desktop/wmrandwalk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmrandwalk: wmrandwalk (Window Maker dockapp displaying a random walk)
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
+wmrandwalk:
diff --git a/desktop/wmrandwalk/wmrandwalk.1 b/desktop/wmrandwalk/wmrandwalk.1
new file mode 100644
index 0000000000..79a93a54fc
--- /dev/null
+++ b/desktop/wmrandwalk/wmrandwalk.1
@@ -0,0 +1,70 @@
+.\" Man page generated from reStructuredText.
+.
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.TH "WMRANDWALK" 1 "2023-01-28" "0.1" "SlackBuilds.org"
+.SH NAME
+wmrandwalk \- Window Maker dockapp displaying a random walk
+.\" RST source for wmrandwalk(1) man page. Convert with:
+.
+.\" rst2man.py wmrandwalk.rst > wmrandwalk.1
+.
+.SH SYNOPSIS
+.sp
+wmrandwalk [\fB\-h\fP, \fB\-\-help\fP] [\fB\-v\fP, \fB\-\-version\fP] [\fB\-w\fP, \fB\-\-windowed\fP]
+.SH DESCRIPTION
+.sp
+\fBwmrandwalk\fP generates and displays a random walk in your
+WindowMaker dock. It can also run in other window managers. Clicking
+any mouse button in the window will restart the random walk.
+.SH OPTIONS
+.INDENT 0.0
+.TP
+.B \-h\fP,\fB \-\-help
+Show help text and exit.
+.TP
+.B \-v\fP,\fB \-\-version
+Show program version and exit.
+.TP
+.B \-w\fP,\fB \-\-windowed
+Run the application in windowed mode.
+.UNINDENT
+.SH COPYRIGHT
+.sp
+See the file /usr/doc/wmrandwalk\-0.1/COPYING for license information.
+.SH AUTHORS
+.sp
+wmrandwalk was written by Doug Torrance.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+The wmrandwalk homepage: \fI\%https://github.com/d\-torrance/wmrandwalk/\fP
+.\" Generated by docutils manpage writer.
+.
diff --git a/desktop/wmrandwalk/wmrandwalk.SlackBuild b/desktop/wmrandwalk/wmrandwalk.SlackBuild
new file mode 100644
index 0000000000..18cf54a377
--- /dev/null
+++ b/desktop/wmrandwalk/wmrandwalk.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for wmrandwalk
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wmrandwalk
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+autoreconf -if
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# No man page so I wrote one.
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING *.md $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/wmrandwalk/wmrandwalk.info b/desktop/wmrandwalk/wmrandwalk.info
new file mode 100644
index 0000000000..df5cba65f8
--- /dev/null
+++ b/desktop/wmrandwalk/wmrandwalk.info
@@ -0,0 +1,10 @@
+PRGNAM="wmrandwalk"
+VERSION="0.1"
+HOMEPAGE="https://github.com/d-torrance/wmrandwalk/"
+DOWNLOAD="https://github.com/d-torrance/wmrandwalk/archive/v0.1/wmrandwalk-0.1.tar.gz"
+MD5SUM="c5f457fb6d9fecb43668a1833caf1ac1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libdockapp"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/desktop/wmrandwalk/wmrandwalk.rst b/desktop/wmrandwalk/wmrandwalk.rst
new file mode 100644
index 0000000000..3cc2e78d86
--- /dev/null
+++ b/desktop/wmrandwalk/wmrandwalk.rst
@@ -0,0 +1,58 @@
+.. RST source for wmrandwalk(1) man page. Convert with:
+.. rst2man.py wmrandwalk.rst > wmrandwalk.1
+
+.. |version| replace:: 0.1
+.. |date| date::
+
+==========
+wmrandwalk
+==========
+
+---------------------------------------------
+Window Maker dockapp displaying a random walk
+---------------------------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+wmrandwalk [**-h**, **--help**] [**-v**, **--version**] [**-w**, **--windowed**]
+
+DESCRIPTION
+===========
+
+**wmrandwalk** generates and displays a random walk in your
+WindowMaker dock. It can also run in other window managers. Clicking
+any mouse button in the window will restart the random walk.
+
+OPTIONS
+=======
+
+-h, --help Show help text and exit.
+
+-v, --version Show program version and exit.
+
+-w, --windowed Run the application in windowed mode.
+
+
+COPYRIGHT
+=========
+
+See the file /usr/doc/wmrandwalk-|version|/COPYING for license information.
+
+AUTHORS
+=======
+
+wmrandwalk was written by Doug Torrance.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+The wmrandwalk homepage: https://github.com/d-torrance/wmrandwalk/